com.h3c.util.pkt

## Enum Sctp.CheckSumType

- java.lang.Object
- - java.lang.Enum<Sctp.CheckSumType>
  - - com.h3c.util.pkt.Sctp.CheckSumType

- All Implemented Interfaces:
    Serializable, Comparable<Sctp.CheckSumType>
  Enclosing class:
    Sctp

      public static enum Sctp.CheckSumType
      extends Enum<Sctp.CheckSumType>

  Checksum type needed during encoding.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADLER32` Used to set the checksum algorithm to use Adler32.
    `CRC32C` Used to set the checksum algorithm to use CRC32c.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Sctp.CheckSumType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Sctp.CheckSumType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CRC32C

          public static final Sctp.CheckSumType CRC32C

      Used to set the checksum algorithm to use CRC32c.

    - #### ADLER32

          public static final Sctp.CheckSumType ADLER32

      Used to set the checksum algorithm to use Adler32.

  - ### Method Detail

    - #### values

          public static Sctp.CheckSumType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Sctp.CheckSumType c : Sctp.CheckSumType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Sctp.CheckSumType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.